Hello Guest it is April 24, 2019, 04:38:00 PM

Author Topic: Mach4 Install on XP  (Read 5401 times)

0 Members and 1 Guest are viewing this topic.

Re: Mach4 Install on XP
« Reply #10 on: December 13, 2015, 12:00:38 AM »
The Mach4 core was written as a cross platform program that will run under Linux and OSX,
neither of which natively supply .NET services. This is why the core does not depend on
.NET services.

I just confirmed that my XP machine does not have any version of .NET installed and it
runs Mach4 fine.

Plug-ins are another matter. Developers of plug-ins can and do sometimes require .NET
for their products. Vital Systems and others may require .NET to run. The SCU setup
utility used with the Ethernet SmoothStepper needs .NET, but it is possible to configure
a SmoothStepper without it. PMDX SmartBOB products do not currently depend on .NET
software.
Steve Stallings
www.PMDX.com
For PMDX product support, please use PMDX forum or direct email for quickest response. We do not use this forum as our primary product support site.
Re: Mach4 Install on XP
« Reply #11 on: December 13, 2015, 01:30:53 AM »
all I know is Brian said something about they use wx widgets and it needed .net 3.5 framework..... this was when it was first released. point me to a copy of mach4 that will run on linux..... that would be awesome..... my guess is that won't happen for several years....... hopefully I'm wrong ......my xp machine would not install mach4 until I installed the .net framework.... unless something in version 2 has changed that. after I was told that .net was needed I never tried to install mach4 without it.
Re: Mach4 Install on XP
« Reply #12 on: December 13, 2015, 02:57:13 PM »
I have confirmed that neither wx widgets, nor anything else that is put on the
host computer by the Mach4 installer uses the .NET framework.

As best I can tell, plug-in dependencies are:

Ethernet SmoothStepper - the actual plug-in does not seem to need .NET but the SCU
    (system configuration utility) does use .NET but use of the SCU is optional

Darwin legacy parallel port driver - needs .NET

Vital Systems HiCON - the plug-in may run without .NET but the configuration utilities
    and libraries to support extra APIs and expanded functions such as their internal
    MACRO language and their Closed Loop system do need .NET

CS Labs MIO series - needs .NET

PoKEYs - as best I can tell, all PoKEYs devices need .NET for configuration and operation

PMDX SmartBOB series - does not need .NET
    We chose not to use .NET because we wanted to be able to support alternate
    operating systems in the future. There are no current plans to offer Mach4 on
    Linux or OSX, so don't jump to conclusions here.

All Windows systems from Win 7 and later natively included the .NET framework, so
only XP users are actually affected by the need for .NET and it can be installed as
needed on XP.

Regards,
Steve Stallings
PMDX
Steve Stallings
www.PMDX.com
For PMDX product support, please use PMDX forum or direct email for quickest response. We do not use this forum as our primary product support site.

Offline TDAY

*
  •  165 165
    • View Profile
    • Home CNC Stuff
Re: Mach4 Install on XP
« Reply #13 on: December 14, 2015, 08:16:14 AM »
Ok, PC does not have the .NET 3.5. So i downloaded the full 3.5 service pack 1(231MB) and installed. Now Mach 4 launches with no errors. Will report later if anything more pops up.
Thanks again,
Troy
"I try to put forth the effort,before asking a dum question"
http://homecncstuff.elementfx.com
Re: Mach4 Install on XP
« Reply #14 on: December 14, 2015, 08:35:23 AM »
Troy,

Your experience indicates that something strange is going on. Were you
trying to run an existing profile that may have been configured to use a
plugin other than the Simulator that is installed for the Mach4Mill default
profile?

I have verified that my XP machine does not have .NET and it will load
and run Mach4.

If you get any further hints as to what is going on, please let us know.

Steve Stallings
PMDX

Steve Stallings
www.PMDX.com
For PMDX product support, please use PMDX forum or direct email for quickest response. We do not use this forum as our primary product support site.
Re: Mach4 Install on XP
« Reply #15 on: December 14, 2015, 08:47:25 AM »
Troy....... I would recommend upgrading to servicepack 3
Re: Mach4 Install on XP
« Reply #16 on: December 14, 2015, 08:59:39 AM »
I wonder if that .NET install included the service pack 3 update by default.
Steve Stallings
www.PMDX.com
For PMDX product support, please use PMDX forum or direct email for quickest response. We do not use this forum as our primary product support site.

Offline TDAY

*
  •  165 165
    • View Profile
    • Home CNC Stuff
Re: Mach4 Install on XP
« Reply #17 on: December 14, 2015, 09:38:11 AM »
The windows XP disk i used to install is Service pack3. There was not any Mach software installed before i tried Mach4. I installed OS and then tried to install Mach4. Nothing else was installed.
Only profile i used is the one installed by Mach4.
"I try to put forth the effort,before asking a dum question"
http://homecncstuff.elementfx.com
Re: Mach4 Install on XP
« Reply #18 on: December 14, 2015, 09:56:00 AM »
Troy, thanks for the info.

Now I have to find time to set up a virgin machine to test again.

Steve Stallings
PMDX
Steve Stallings
www.PMDX.com
For PMDX product support, please use PMDX forum or direct email for quickest response. We do not use this forum as our primary product support site.

Offline TDAY

*
  •  165 165
    • View Profile
    • Home CNC Stuff
Re: Mach4 Install on XP
« Reply #19 on: December 14, 2015, 10:43:01 AM »
:) Sorry for the extra work load ;)
Let me know if i can do any testing for you with the current PC setup in question, as i can wait on installing it on machine.
Troy
"I try to put forth the effort,before asking a dum question"
http://homecncstuff.elementfx.com